Skip to main content
POST
/
wallets
/
fund
Fund Wallet
curl --request POST \
  --url https://api.example.com/wallets/fund \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "currency": "<string>",
  "method": "<string>"
}
'

Request

amount
number
required
Amount to deposit.
currency
string
required
Currency code.
method
string
required
One of crypto_deposit or sepa_transfer.
curl -X POST https://api.midasprotocol.org/wallets/fund \
  -H "Authorization: Bearer pp_your_key" \
  -H "Content-Type: application/json" \
  -d '{ "amount": 100, "currency": "USDC", "method": "crypto_deposit" }'

Response

{
  "walletId": "uuid",
  "method": "crypto_deposit",
  "instructions": {
    "address": "0x...",
    "network": "base",
    "currency": "USDC",
    "note": "Send USDC on Base network to this address"
  }
}